import unittest

from prometheus_client.core import CounterMetricFamily, GaugeMetricFamily

from prometheus_icinga_exporter.exporter import build_counter, build_gauge, extract_status_file_path, get_mod_time

sample_data = """
#status_file=/incorrect/path/to/status.dat
ignore_option=/incorrect/status_file/status.dat
status_file=/correct/path/to/status.dat
"""


class Utils(unittest.TestCase):
    def test_build_gauge(self):
        self.assertIsInstance(build_gauge("test", "test description", 1), GaugeMetricFamily)

    def test_extract_status_file_path(self):
        status_file = extract_status_file_path(sample_data)
        self.assertEqual(status_file, "/correct/path/to/status.dat")

    def test_build_counter(self):
        self.assertIsInstance(build_counter("test", "test description", 1), CounterMetricFamily)

    def test_get_mod_time(self):
        self.assertIsInstance(get_mod_time("./setup.py"), float)
